CollegeWizard/Models/AddressDetails.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class AddressDetails
    {
        [Required]
        public string Address { get; set; }
        [Required]
        public string City { get; set; }
        [Required]
        public string Country { get; set; }
        [Required]
        public string PostalCode { get; set; }
    }
}

CollegeWizard/Models/BasicDetails.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class BasicDetails
    {
        [Required]
        public string CustomerID { get; set; }
        [Required]
        [StringLength(30)]
        public string CompanyName { get; set; }
    }
}

CollegeWizard/Models/ContactDetails.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class ContactDetails
    {
        [Required]
        public string ContactName { get; set; }
        [Required]
        public string Phone { get; set; }
        [Required]
        public string Fax { get; set; }
    }
}

CollegeWizard/Models/Customer.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class Customer
    {
        public string CustomerID { get; set; }
        public string CompanyName { get; set; }
        public string Address { get; set; }
        public string City { get; set; }
        public string Country { get; set; }
        public string PostalCode { get; set; }
        public string ContactName { get; set; }
        public string Phone { get; set; }
        public string Fax { get; set; }
    }
}

CollegeWizard/Controllers/CustomerController.cs
using CollegeWizard.Models;
using Dapper;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace CollegeWizard.Controllers
{
    public class CustomerController : Controller
    {
        
        public ActionResult Index()
        {
            return View("BasicDetails");
        }


        private Customer GetCustomer()
        {
            if (Session["customer"] == null)
            {
                Session["customer"] = new Customer();
            }
            return (Customer)Session["customer"];
        }

        private void RemoveCustomer()
        {
            Session.Remove("customer");
        }

        [HttpPost]
 
        public ActionResult BasicDetails(BasicDetails data, string prevBtn, string nextBtn)
        {
            Customer obj = GetCustomer();

            if (nextBtn != null)
            {
                AddressDetails ad = new AddressDetails();
                ad.Address = obj.Address;
                ad.City = obj.City;
                ad.Country = obj.Country;
                ad.PostalCode = obj.PostalCode;

                if (ModelState.IsValid)
                {
                   obj.CustomerID = data.CustomerID;
                   obj.CompanyName = data.CompanyName;

                    return View("AddressDetails", ad);
                }
            }
            return View();
        }
        [HttpPost]
        public ActionResult AddressDetails(AddressDetails data, string prevBtn, string nextBtn)
        {
            Customer obj = GetCustomer();

            if (prevBtn != null)
            {
                obj.Address = data.Address;
                obj.City = data.City;
                obj.Country = data.Country;
                obj.PostalCode = data.PostalCode;

                BasicDetails bd = new BasicDetails();
                bd.CustomerID = obj.CustomerID;
                bd.CompanyName = obj.CompanyName;
                return View("BasicDetails", bd);
            }
            if (nextBtn != null)
            {

                ContactDetails cd = new ContactDetails();
                cd.ContactName = obj.ContactName;
                cd.Fax = obj.Fax;
                cd.Phone = obj.Phone;

                if (ModelState.IsValid)
                {
                    obj.Address = data.Address;
                    obj.City = data.City;
                    obj.Country = data.Country;
                    obj.PostalCode = data.PostalCode;

                    return View("ContactDetails", cd);
                }
            }
            return View();
        }
        [HttpPost]
        public ActionResult ContactDetails(ContactDetails data, string prevBtn, string nextBtn)
        {
            Customer obj = GetCustomer();

            if (prevBtn != null)
            {
                obj.ContactName = data.ContactName;
                obj.Phone = data.Phone;
                obj.Fax = data.Fax;

                AddressDetails ad = new AddressDetails();
                ad.Address = obj.Address;
                ad.City = obj.City;
                ad.Country = obj.Country;
                ad.PostalCode = obj.PostalCode;
                return View("AddressDetails", ad);
            }
            if (nextBtn != null)
            {
                if (ModelState.IsValid)
                {
                    obj.ContactName = data.ContactName;
                    obj.Phone = data.Phone;
                    obj.Fax = data.Fax;

                    using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
                    {
                        db.Query<Customer>(@"INSERT INTO Customer (CustomerID, CompanyName, ContactName, Address,City,Country,PostalCode,Phone, Fax ) VALUES (@CustomerID, @CompanyName, @ContactName, @Address, @City, @Country, @PostalCode, @Phone, @Fax )", new { obj.CustomerID, obj.CompanyName, obj.ContactName, obj.Address, obj.City, obj.Country, obj.PostalCode, obj.Phone, obj.Fax });
                    }
                    RemoveCustomer();
                    return View("Success");
                }
            }
            return View();
        }

    }
}

CollegeWizard/Views/Customer/AddressDetails.cshtml
@model CollegeWizard.Models.AddressDetails

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>AddressDetails</title>
</head>
<body>
    @using (Html.BeginForm("AddressDetails", "Customer", FormMethod.Post))
    {
        <h1>Step 2 : Address Details</h1>
        @Html.LabelFor(m => m.Address)<br />
        @Html.TextBoxFor(m => m.Address)
        @Html.ValidationMessageFor(m => m.Address)
        <br />
        @Html.LabelFor(m => m.City)<br />
        @Html.TextBoxFor(m => m.City)
        @Html.ValidationMessageFor(m => m.City)
        <br />
        @Html.LabelFor(m => m.Country)<br />
        @Html.TextBoxFor(m => m.Country)
        @Html.ValidationMessageFor(m => m.Country)
        <br />
        @Html.LabelFor(m => m.PostalCode)<br />
        @Html.TextBoxFor(m => m.PostalCode)
        @Html.ValidationMessageFor(m => m.PostalCode)
        <br />
        <input type="submit" name="prevBtn" value='Previous' />
        <input type="submit" name="nextBtn" value='Next' />
    }
</body>
</html>

CollegeWizard/Views/Customer/BasicDetails.cshtml
@model CollegeWizard.Models.BasicDetails

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>BasicDetails</title>
</head>
<body>
    @using (Html.BeginForm("BasicDetails", "Customer", FormMethod.Post))
    {
        <h1>Step 1 : Basic Details</h1>
        @Html.LabelFor(m => m.CustomerID)<br />
        @Html.TextBoxFor(m => m.CustomerID)
        @Html.ValidationMessageFor(m => m.CustomerID)<br />
        @Html.LabelFor(m => m.CompanyName)<br />
        @Html.TextBoxFor(m => m.CompanyName)
        @Html.ValidationMessageFor(m => m.CompanyName)
        <br />
        <input type="submit" name="nextBtn" value='Next' />
    }
</body>
</html>

CollegeWizard/Views/Customer/ContactDetails.cshtml
@model CollegeWizard.Models.ContactDetails

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>ContactDetails</title>
</head>
<body>
    @using (Html.BeginForm("ContactDetails", "Customer", FormMethod.Post))
    {
        <h1>Step 3 : Contact Details</h1>
        @Html.LabelFor(m => m.ContactName)<br />
        @Html.TextBoxFor(m => m.ContactName)
        @Html.ValidationMessageFor(m => m.ContactName)
        <br />
        @Html.LabelFor(m => m.Phone)<br />
        @Html.TextBoxFor(m => m.Phone)
        @Html.ValidationMessageFor(m => m.Phone)
        <br />
        @Html.LabelFor(m => m.Fax)<br />
        @Html.TextBoxFor(m => m.Fax)
        @Html.ValidationMessageFor(m => m.Fax)
        <br />
        <input type="submit" name="prevBtn" value='Previous' />
        <input type="submit" name="nextBtn" value = "Finish" />
     }
</body>
</html>

CollegeWizard/Views/Customer/Index.cshtml
@model IEnumerable<CollegeWizard.Models.StudentDetail>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<table class="table">
    <tr>
        <th>

            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Address)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone)
        </th>

        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
        </tr>

    }

</table>

CollegeWizard/Views/Customer/Success.cshtml
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Success</title>
</head>
<body>
    <h3>Customer Data Saved Successfully!</h3>
    @Html.ActionLink("Add Another Customer", "Index", "Customer")
</body>
</html>